import React, { Suspense } from "react";
import { Route, Switch } from "react-router-dom";
import HomePage from "./home/HomePage";
import AboutPage from "./about/AboutPage";
import Header from "./layout/Header";
import PageNotFound from "./PageNotFound";
import { ToastContainer } from "react-toastify";
import "react-toastify/dist/ReactToastify.css";
import SessionContainer from "../features/session/components/SessionContainer";

function App() {
  const contentStyle = {
    paddingLeft: "30px",
    paddingRight: "30px"
  };

  return (
    <Suspense fallback={<div></div>}>
      <Header />
      <br />
      <div style={contentStyle}>
        <Switch>
          <Route exact path="/" component={HomePage} />
          <Route path="/about" component={AboutPage} />
          <Route path="/sessions" component={SessionContainer} />
          <Route component={PageNotFound} />
        </Switch>
        <ToastContainer autoClose={3000} />
      </div>
    </Suspense>
  );
}

export default App;
